System.ServiceModel 4.0.0.0 System.ServiceModel.Description.MetadataExporter

Use the class to transform or objects into metadata represented by objects.

The is used in a three-step process.

Call the , , or method, passing the appropriate parameters.

Determine whether there are any export errors by checking the base property.

If there are no errors, use the to get a collection of objects or get more specific versions of the metadata using the or properties.

You can support exporting custom WSDL extensions by implementing the interface and custom policy assertions by implementing the interface. For details, see the documentation for those interfaces.

The WsdlExporter can only be used to export metadata from ContractDescription instances that contain Common Language Runtime (CLR) type information, such as a ContractDescription instance created using the ContractDescription.GetContract method or created as part of the ServiceDescription for a ServiceHost instance. You cannot use the WsdlExporter to export metadata from ContractDescription instances imported from service metadata or constructed without type information.

Converts service, contract, and endpoint information into metadata documents.

- Constructor
  4.0.0.0

  Use to create a object.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void ``

  Use the method to export metadata from only one contract.

  Exports metadata that describes only the contract information from the specified contract description.

  The to generate metadata from.
- Method
  4.0.0.0
  System.Void ``

  Use the method to create metadata about a single endpoint.

  Generates metadata about the specified endpoint.

  The about which to return metadata.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Use the method to create metadata about a set of endpoints from a specified service.

  Generates metadata about a group of endpoints from a specified service.

  The objects about which to generate metadata.
- Property
  4.0.0.0
  System.Web.Services.Description.ServiceDescriptionCollection To be added.

  The property returns documents only as a result of calls to either , , or .

  Gets a collection of objects after calling one of the export methods.

- Property
  4.0.0.0
  System.Xml.Schema.XmlSchemaSet To be added.

  The property returns documents only as a result of calls to either , , or .

  Gets a set of objects after calling one of the export methods.

- Method
  4.0.0.0
  System.ServiceModel.Description.MetadataSet

  Use the property to get a collection of all the metadata generated as a result of any number of calls to , , or .

  It is recommended that you check the base property to determine whether any errors occurred before you retrieve the metadata.

  Returns an enumerable collection of generated objects.

  An enumerable collection of generated objects that represents the metadata generated as a result of calls to , , or .